CommitLogPosition.CommitLogPositionSerializer (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.db.commitlog

## Class CommitLogPosition.CommitLogPositionSerializer

- java.lang.Object
- - org.apache.cassandra.db.commitlog.CommitLogPosition.CommitLogPositionSerializer

- All Implemented Interfaces:
    ISerializer<CommitLogPosition>
  Enclosing class:
    CommitLogPosition

      public static class CommitLogPosition.CommitLogPositionSerializer
      extends java.lang.Object
      implements ISerializer<CommitLogPosition>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommitLogPositionSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommitLogPosition` | `deserialize(DataInputPlus in)` Deserialize from the specified DataInput instance.
    `void` | `serialize(CommitLogPosition clsp, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
    `long` | `serializedSize(CommitLogPosition clsp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.io.ISerializer

      `skip`

- - ### Constructor Detail

    - #### CommitLogPositionSerializer

          public CommitLogPositionSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(CommitLogPosition clsp,
                                DataOutputPlus out)
                         throws java.io.IOException

      Description copied from interface: `ISerializer`
      Serialize the specified type into the specified DataOutput instance.
      Specified by:
        `serialize` in interface `ISerializer<CommitLogPosition>`
      Parameters:
        `clsp` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserialize

          public CommitLogPosition deserialize(DataInputPlus in)
                                        throws java.io.IOException

      Description copied from interface: `ISerializer`
      Deserialize from the specified DataInput instance.
      Specified by:
        `deserialize` in interface `ISerializer<CommitLogPosition>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(CommitLogPosition clsp)

      Specified by:
        `serializedSize` in interface `ISerializer<CommitLogPosition>`

Copyright © 2018 The Apache Software Foundation